Page MenuHomePhabricator

Drop $wgDBmysql5 from MediaWiki
Closed, ResolvedPublic

Description

Related to T194125, T196092, and discussion on IRC. This experimental setting controls passing SET NAMES=utf8 on connection, which isn't recommended if you're using the binary charset (what we're standardizing on).

We should remove this option from the installer, and then remove it from MediaWiki core. This has very clearly been marked as experimental, and doesn't need a deprecation period.

  • Remove from CLI installer for new installs (was never exposed via web installer). – MediaWiki 1.31
  • Deprecate the configuration variable. – MediaWiki 1.31
  • Remove the configuration variable. – MediaWiki 1.33
  • Remove the option from the rdbms library.

Event Timeline

Legoktm created this task.Jun 1 2018, 6:53 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 1 2018, 6:53 PM

Change 436843 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[mediawiki/core@master] installer: Don't allow setting $wgDBmysql5

https://gerrit.wikimedia.org/r/436843

Krinkle updated the task description. (Show Details)Jun 1 2018, 9:16 PM
Krinkle moved this task from Untriaged to General library on the Wikimedia-Rdbms board.
Krinkle moved this task from Backlog to In progress on the MediaWiki-Installer board.
Krinkle moved this task from Unsorted to Needs removal on the Technical-Debt board.
Krinkle triaged this task as Normal priority.Jun 1 2018, 9:18 PM
Krinkle moved this task from Limbo to Watching on the Performance-Team (Radar) board.

Change 436843 merged by jenkins-bot:
[mediawiki/core@master] installer: Don't allow setting $wgDBmysql5

https://gerrit.wikimedia.org/r/436843

Change 436909 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[mediawiki/core@REL1_31] installer: Don't allow setting $wgDBmysql5

https://gerrit.wikimedia.org/r/436909

Change 436909 merged by jenkins-bot:
[mediawiki/core@REL1_31] installer: Don't allow setting $wgDBmysql5

https://gerrit.wikimedia.org/r/436909

Legoktm updated the task description. (Show Details)Jun 2 2018, 2:20 AM

Change 437312 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[mediawiki/core@master] Deprecate $wgDBmysql5

https://gerrit.wikimedia.org/r/437312

Change 437312 merged by jenkins-bot:
[mediawiki/core@master] Deprecate $wgDBmysql5

https://gerrit.wikimedia.org/r/437312

Change 437368 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[mediawiki/core@REL1_31] Deprecate $wgDBmysql5

https://gerrit.wikimedia.org/r/437368

Change 437368 merged by jenkins-bot:
[mediawiki/core@REL1_31] Deprecate $wgDBmysql5

https://gerrit.wikimedia.org/r/437368

Legoktm updated the task description. (Show Details)
Prod added a subscriber: Prod.Jun 11 2018, 12:41 AM

I have this option set in my LocalSettings.php. How do I migrate away from it before the setting is removed?

I have this option set in my LocalSettings.php. How do I migrate away from it before the setting is removed?

Most likely, you will not have to do anything. The setting being removed by this task only affects the connection, not the schema. Thus no migration is required.

However, to be sure, let us know, what value do you have for $wgDBTableOptions?

Prod added a comment.Jun 15 2018, 3:03 AM

I have this option set in my LocalSettings.php. How do I migrate away from it before the setting is removed?

Most likely, you will not have to do anything. The setting being removed by this task only affects the connection, not the schema. Thus no migration is required.
However, to be sure, let us know, what value do you have for $wgDBTableOptions?

Currently set as
$wgDBTableOptions = "ENGINE=InnoDB, DEFAULT CHARSET=binary";

Most likely, you will not have to do anything. [..]
However, to be sure, let us know, what value do you have for $wgDBTableOptions?

Currently set as
$wgDBTableOptions = "ENGINE=InnoDB, DEFAULT CHARSET=binary";

Then you'll be fine. It just means that between MediaWiki PHP and MySQL, the connection will internally use a slightly different encoding, but it shouldn't change anything for the wiki or the users.

To confirm this, try disabling your wgDBmysql5 setting (e.g. set $wgDBmysql5 = false;, or comment it out like # $wgDBmysql5 = true;), and verify that no errors appear.

Vvjjkkii renamed this task from Drop $wgDBmysql5 from MediaWiki to qtbaaaaaaa.Jul 1 2018, 1:06 AM
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot renamed this task from qtbaaaaaaa to Drop $wgDBmysql5 from MediaWiki.Jul 2 2018, 1:44 PM
CommunityTechBot lowered the priority of this task from High to Normal.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added subscribers: gerritbot, Aklapper.
Legoktm moved this task from Backlog to Deprecations on the MW-1.32-release board.Oct 9 2018, 12:41 AM

Bumping to 1.33 since we didn't get this done in time.

Change 498644 had a related patch set uploaded (by D3r1ck01; owner: Derick Alangi):
[mediawiki/core@master] DefaultSettings: Remove deprecated $wgDBmysql5 from core

https://gerrit.wikimedia.org/r/498644

Change 498644 merged by jenkins-bot:
[mediawiki/core@master] DefaultSettings: Remove deprecated $wgDBmysql5 from core

https://gerrit.wikimedia.org/r/498644

D3r1ck01 updated the task description. (Show Details)Mar 25 2019, 3:19 PM